Page MenuHomePhabricator

No valid null revision produced during global rename
Closed, ResolvedPublic

Description

2014-12-07 19:12:15 mw1014 frwiki: [5e0f43b9] [no req] MWException from line 463 of /srv/mediawiki/php-1.25wmf10/includes/MovePage.php: No valid null revision produced in MovePage::moveToInternal

#0 /srv/mediawiki/php-1.25wmf10/includes/MovePage.php(257): MovePage->moveToInternal(Object(User), Object(Title), 'Page automatiqu...', true)
#1 /srv/mediawiki/php-1.25wmf10/extensions/CentralAuth/includes/LocalRenameJob/LocalPageMoveJob.php(47): MovePage->move(Object(User), 'Page automatiqu...', true)
#2 /srv/mediawiki/php-1.25wmf10/extensions/CentralAuth/includes/LocalRenameJob/LocalPageMoveJob.php(30): LocalPageMoveJob->movePage(Object(Title), Object(Title))
#3 /srv/mediawiki/php-1.25wmf10/includes/jobqueue/JobRunner.php(136): LocalPageMoveJob->run()
#4 /srv/mediawiki/php-1.25wmf10/maintenance/runJobs.php(80): JobRunner->run(Array)
#5 /srv/mediawiki/php-1.25wmf10/maintenance/doMaintenance.php(101): RunJobs->execute()
#6 /srv/mediawiki/php-1.25wmf10/maintenance/runJobs.php(95): require_once('/srv/mediawiki/...')
#7 /srv/mediawiki/multiversion/MWScript.php(97): require_once('/srv/mediawiki/...')
#8 {main}

This has caused the page history of https://fr.wikipedia.org/w/index.php?title=Utilisateur:Binabik&action=history to go missing (T76979)?

Details

Related Gerrit Patches:
mediawiki/extensions/CentralAuth : masterOnly move one page per LocalPageMoveJob

Event Timeline

Legoktm created this task.Dec 7 2014, 10:35 PM
Legoktm raised the priority of this task from to High.
Legoktm updated the task description. (Show Details)
Legoktm changed Security from none to None.
Legoktm added a subscriber: Legoktm.
Aklapper updated the task description. (Show Details)Dec 8 2014, 11:19 AM

We currently batch 25 page moves in one LocalPageMoveJob. This means that if the job fails, when it gets retried, it will move all the successful page moves again, wiping out history.

Change 179516 had a related patch set uploaded (by Legoktm):
Catch exceptions from LocalPageMoveJob::movePage()

https://gerrit.wikimedia.org/r/179516

Patch-For-Review

Change 179516 merged by jenkins-bot:
Only move one page per LocalPageMoveJob

https://gerrit.wikimedia.org/r/179516

Legoktm closed this task as Resolved.Mar 16 2015, 8:41 PM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Mar 16 2015, 9:10 PM